org.hibernate.search.query

## Enum ObjectLookupMethod

- java.lang.Object
- - java.lang.Enum<ObjectLookupMethod>
  - - org.hibernate.search.query.ObjectLookupMethod

- All Implemented Interfaces:
    Serializable, Comparable<ObjectLookupMethod>

      public enum ObjectLookupMethod
      extends Enum<ObjectLookupMethod>

  Define whether or not to check whether objects are already present in the second level cache or the persistence context. In most cases, no presence check is necessary.
  Author:
    Emmanuel Bernard

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PERSISTENCE_CONTEXT` Check whether an object is already in the persistence context before initializing it
    `SECOND_LEVEL_CACHE` Check whether an object is already either in the persistence context or in the second level cache before loading it.
    `SKIP` Skip checking (default)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ObjectLookupMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ObjectLookupMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SKIP

          public static final ObjectLookupMethod SKIP

      Skip checking (default)

    - #### PERSISTENCE_CONTEXT

          public static final ObjectLookupMethod PERSISTENCE_CONTEXT

      Check whether an object is already in the persistence context before initializing it

    - #### SECOND_LEVEL_CACHE

          public static final ObjectLookupMethod SECOND_LEVEL_CACHE

      Check whether an object is already either in the persistence context or in the second level cache before loading it.

  - ### Method Detail

    - #### values

          public static ObjectLookupMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ObjectLookupMethod c : ObjectLookupMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ObjectLookupMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved